services:
  ada-bo-gateway:
    build: .
    ports:
      - "3018:8080"
    depends_on:
      - redis
    env_file:
      - .env
  redis:
    image: redis:latest
    ports:
      - "6379:6379"
  cassandra:
    image: cassandra:latest
    ports:
      - "9042:9042"
  elastic:
    image: docker.elastic.co/elasticsearch/elasticsearch:7.6.2
    ports:
      - "9200:9200"
    environment:
      - discovery.type=single-node
      - ELASTIC_PASSWORD=kCUrZouVR3SSLsiP
      - xpack.security.enabled=true